---
schema_version: "1"
id: 7ca0318b218600f8ed1006772feb1d3d253b5f259e86d4540a330c19f208789d
title: Describe Event Monitoring Using REST
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-event-log-file-describe.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-event-log-file-describe.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: b87ed548f4b1b624e438cb18f3833770530fae5294fd93732a7cd219d0c7a875
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Describe Event Monitoring Using REST

Use the sObject Describe resource to retrieve all metadata for an object, including information about fields, URLs, and child relationships.

## Example

You can use REST API to describe event log files. Use a GET request like this:

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/EventLogFile/describe -H "Authorization: Bearer token"
```

## Example raw response

```nolang
{
   "actionOverrides" : [ ],
   "activateable" : false,
   "childRelationships" : [ ],
   "compactLayoutable" : false,
   "createable" : false,
   "custom" : false,
   "customSetting" : false,
   "deletable" : false,
   "deprecatedAndHidden" : false,
   "feedEnabled" : false,
   "fields" : [ {
     "autoNumber" : false,
     "byteLength" : 18,
     "calculated" : false,
     "calculatedFormula" : null,
     "cascadeDelete" : false,
     "caseSensitive" : false,
     "controllerName" : null,
     "createable" : false,
     ...
}
```

